# VisualStudioProject

API Documentation: | `VisualStudioProject`

Note: This class is incubating and may change in a future version of Gradle.

A visual studio project, created from one or more `NativeBinary` instances.

The content and location of the generate project file can be modified by the supplied methods:

    apply plugin: "visual-studio"
    model {
        visualStudio {
            projects.all {
                projectFile.location = "vs/${name}.vcxproj"
                projectFile.withXml {
                    asNode().appendNode('PropertyGroup', [Label: 'Custom'])
                            .appendNode('ProjectDetails', "Project is named ${project.name}")
                }
            }
        }
    }

### Properties

Property | Description
`filtersFile` | Incubating Configuration for the generated filters file.
`projectFile` | Incubating Configuration for the generated project file.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `XmlConfigFile` `filtersFile` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

Configuration for the generated filters file.

#### `XmlConfigFile` `projectFile` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

Configuration for the generated project file.